# withXml

open fun withXml(@DelegatesTo(value = XmlProvider::class) closure: Closure)

Adds a closure to be called when the file has been created. The XML is passed to the closure as a parameter in form of a XmlProvider. The closure can modify the XML before it is written to the output file.

For examples see docs for org.gradle.plugins.ide.eclipse.model.EclipseProject or org.gradle.plugins.ide.idea.model.IdeaProject and others.

#### Parameters

closure

The closure to execute when the XML has been created.

open fun withXml(action: Action<in XmlProvider>)

Adds an action to be called when the file has been created.

See withXml

#### Parameters

action

The action to execute when the XML has been created.